const std = @import("std");
const capy = @import("capy");

// This is required for your app to build to WebAssembly and other particular architectures
pub usingnamespace capy.cross_platform;

pub fn main() !void {
    try capy.backend.init();

    var window = try capy.Window.init();
    try window.set(
        capy.label(.{ .text = "Hello, World", .alignment = .Center }),
    );

    window.setTitle("Hello");
    window.setPreferredSize(250, 100);
    window.show();

    capy.runEventLoop();
}

// const std = @import("std");
// const r = @import("raylib.zig");

// pub fn main() anyerror!void {
//     r.InitWindow(800, 450, "doggo");
//     defer r.CloseWindow();

//     // var selected_filename: [512]u8 = undefined;
//     var file_dialog_state = r.InitGuiWindowFileDialog(r.GetWorkingDirectory());

//     while (!r.WindowShouldClose()) {
//         // Update
//         if (file_dialog_state.SelectFilePressed) {
//             std.log.info("{s} / {s}", .{ file_dialog_state.dirPathText, file_dialog_state.fileNameText });
//         }

//         // Draw
//         r.BeginDrawing();
//         defer r.EndDrawing();

//         r.ClearBackground(r.RAYWHITE);
//         r.DrawText("Congrats! You created your first window!", 190, 200, 20, r.LIGHTGRAY);

//         if (file_dialog_state.windowActive) {
//             r.GuiLock();
//         }

//         if (r.GuiButton(r.Rectangle{ .x = 190, .y = 250, .width = 150, .height = 30 }, "Button") == 1) {
//             std.log.info("Button pressed", .{});
//             file_dialog_state.windowActive = true;
//         }
//         r.GuiUnlock();

//         r.GuiWindowFileDialog(&file_dialog_state);
//     }
// }

// test "basic test" {
//     try std.testing.expectEqual(10, 3 + 7);
// }
